[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

[Command]
Name = "FF"
Command = F, F
Time = 12

[Command]
Name = "BB"
Command = B, B
Time = 12

[Command]
Name = "a"
Command = a
Time = 0

[Command]
Name = "b"
Command = b
Time = 0

[Command]
Name = "c"
Command = c
Time = 0

[Command]
Name = "x"
Command = x
Time = 0

[Command]
Name = "y"
Command = y
Time = 0

[Command]
Name = "z"
Command = z
Time    = 0

[Command]
Name = "recovery"
Command = a
Time = 0

[Command]
Name = "recovery"
Command = b
Time = 0

[Command]
Name = "recovery"
Command = c
Time = 0

[command]
Name = "fwd"
Command = F
Time = 0

[command]
Name = "back"
Command = B
Time = 0

[Command]
Name = "up" 
Command = U
Time = 0

[Command]
Name = "down"
Command = D
Time = 0

[Command]
Name = "holdfwd"
Command = /$F
Time = 1

[Command]
Name = "holdback"
Command = /$B
Time = 1

[Command]
Name = "holdup" 
Command = /$U
Time = 1

[Command]
Name = "holddown"
Command = /$D
Time = 1

[Command]
Name = "start"
Command = s
Time = 0

[Statedef -1]

[State -1]
Type = VarRandom
Trigger1 = !IsHelper
V = 0
Range = 1,100

[State -1]
Type = Helper
TriggerAll = !NumHelper(1)
TriggerAll = (Command="a")+(Command="x")
TriggerAll = Ctrl
TriggerAll = RoundState = 2
Trigger1 = PalNo = 2
Trigger1 = Var(0) = [1,15]
ID = 1
Name = "evil-eye"
StateNo = 400
Pos = -Ceil(40*Const(Size.xScale)),Ceil(8*Const(Size.yScale))
KeyCtrl = 1

[State -1]
Type = Helper
TriggerAll = !NumHelper(1)
TriggerAll = (Command="a")+(Command="x")
TriggerAll = Ctrl
TriggerAll = RoundState = 2
Trigger1 = PalNo = 1
Trigger1 = Var(0) = [1,30]
Trigger2 = PalNo = 2
Trigger2 = Var(0) = [16,40]
ID = 1
Name = "dark-castle"
StateNo = 401
Pos = -Ceil(40*Const(Size.xScale)),Ceil(8*Const(Size.yScale))
KeyCtrl = 1

[State -1]
Type = Helper
TriggerAll = !NumHelper(1)
TriggerAll = (Command="a")+(Command="x")
TriggerAll = Ctrl
TriggerAll = RoundState = 2
Trigger1 = PalNo = 1
Trigger1 = Var(0) = [31,55]
Trigger2 = PalNo = 2
Trigger2 = Var(0) = [41,60]
ID = 1
Name = "dark-claw"
StateNo = 402
Pos = -Ceil(40*Const(Size.xScale)),Ceil(8*Const(Size.yScale))
KeyCtrl = 1

[State -1]
Type = Helper
TriggerAll = !NumHelper(1)
TriggerAll = (Command="a")+(Command="x")
TriggerAll = Ctrl
TriggerAll = RoundState = 2
Trigger1 = PalNo = 1
Trigger1 = Var(0) = [56,80]
Trigger2 = PalNo = 2
Trigger2 = Var(0) = [61,80]
ID = 1
Name = "reverse-hand"
StateNo = 403
Pos = -Ceil(40*Const(Size.xScale)),Ceil(8*Const(Size.yScale))
KeyCtrl = 1

[State -1]
Type = Helper
TriggerAll = !NumHelper(1)
TriggerAll = (Command="a")+(Command="x")
TriggerAll = Ctrl
TriggerAll = RoundState = 2
Trigger1 = PalNo = [1,2]
Trigger1 = Var(0) = [81,100]
ID = 1
Name = "death-sentence"
StateNo = 404
Pos = -Ceil(40*Const(Size.xScale)),Ceil(8*Const(Size.yScale))
KeyCtrl = 1

[State -1]
Type = Helper
TriggerAll = !NumHelper(1)
TriggerAll = (Command="b")+(Command="y")
TriggerAll = Ctrl
TriggerAll = RoundState = 2
Trigger1 = PalNo = 1
Trigger1 = Var(0) = [1,25]
Trigger2 = PalNo = 2
Trigger2 = Var(0) = [1,15]
ID = 1
Name = "chaos-smile"
StateNo = 500
Pos = Ceil(8*Const(Size.xScale)),Ceil(8*Const(Size.yScale))
KeyCtrl = 1

[State -1]
Type = Helper
TriggerAll = !NumHelper(1)
TriggerAll = (Command="b")+(Command="y")
TriggerAll = Ctrl
TriggerAll = RoundState = 2
Trigger1 = PalNo = 1
Trigger1 = Var(0) = [26,50]
Trigger2 = PalNo = 2
Trigger2 = Var(0) = [16,30]
ID = 1
Name = "death-trap"
StateNo = 501
Pos = Ceil(8*Const(Size.xScale)),Ceil(8*Const(Size.yScale))
KeyCtrl = 1

[State -1]
Type = Helper
TriggerAll = !NumHelper(1)
TriggerAll = (Command="b")+(Command="y")
TriggerAll = Ctrl
TriggerAll = RoundState = 2
Trigger1 = PalNo = 1
Trigger1 = Var(0) = [51,75]
Trigger2 = PalNo = 2
Trigger2 = Var(0) = [31,45]
ID = 1
Name = "black-tide"
StateNo = 502
Pos = Ceil(8*Const(Size.xScale)),Ceil(8*Const(Size.yScale))
KeyCtrl = 1

[State -1]
Type = Helper
TriggerAll = !NumHelper(1)
TriggerAll = (Command="b")+(Command="y")
TriggerAll = Ctrl
TriggerAll = RoundState = 2
Trigger1 = PalNo = 1
Trigger1 = Var(0) = [76,100]
Trigger2 = PalNo = 2
Trigger2 = Var(0) = [46,60]
ID = 1
Name = "ankokufuu"
StateNo = 503
Pos = Ceil(8*Const(Size.xScale)),Ceil(8*Const(Size.yScale))
KeyCtrl = 1

[State -1]
Type = Helper
TriggerAll = !NumHelper(1)
TriggerAll = (Command="b")+(Command="y")
TriggerAll = Ctrl
TriggerAll = RoundState = 2
Trigger1 = PalNo = 2
Trigger1 = Var(0) = [61,70]
ID = 1
Name = "kurokifushichou"
StateNo = 700
Pos = Ceil(8*Const(Size.xScale)),Ceil(8*Const(Size.yScale))
KeyCtrl = 1

[State -1]
Type = Helper
TriggerAll = !NumHelper(1)
TriggerAll = (Command="b")+(Command="y")
TriggerAll = Ctrl
TriggerAll = RoundState = 2
Trigger1 = PalNo = 2
Trigger1 = Var(0) = [71,80]
ID = 1
Name = "crimson-flare"
StateNo = 701
Pos = Ceil(8*Const(Size.xScale)),Ceil(8*Const(Size.yScale))
KeyCtrl = 1

[State -1]
Type = Helper
TriggerAll = !NumHelper(1)
TriggerAll = (Command="b")+(Command="y")
TriggerAll = Ctrl
TriggerAll = RoundState = 2
Trigger1 = PalNo = 2
Trigger1 = Var(0) = [81,90]
ID = 1
Name = "shinotate"
StateNo = 702
Pos = Ceil(8*Const(Size.xScale)),Ceil(8*Const(Size.yScale))
KeyCtrl = 1

[State -1]
Type = Helper
TriggerAll = !NumHelper(1)
TriggerAll = (Command="b")+(Command="y")
TriggerAll = Ctrl
TriggerAll = RoundState = 2
Trigger1 = PalNo = 2
Trigger1 = Var(0) = [91,100]
ID = 1
Name = "mujihinasabaki"
StateNo = 703
Pos = Ceil(8*Const(Size.xScale)),Ceil(8*Const(Size.yScale))
KeyCtrl = 1

[State -1]
Type = Helper
TriggerAll = !NumHelper(1)
TriggerAll = (Command="c")+(Command="z")
TriggerAll = Ctrl
TriggerAll = RoundState = 2
TriggerAll = NumHelper(3)
TriggerAll = Helper(3),Var(0) < 38
Trigger1 = PalNo = 1
Trigger1 = Var(0) = [1,25]
Trigger2 = PalNo = 2
Trigger2 = Var(0) = [1,20]
ID = 1
Name = "tsume"
StateNo = 600
Pos = Ceil(56*Const(Size.xScale)),Ceil(8*Const(Size.yScale))
KeyCtrl = 1

[State -1]
Type = Helper
TriggerAll = !NumHelper(1)
TriggerAll = (Command="c")+(Command="z")
TriggerAll = Ctrl
TriggerAll = RoundState = 2
TriggerAll = NumHelper(3)
TriggerAll = Helper(3),Var(0) < 38
Trigger1 = PalNo = 1
Trigger1 = Var(0) = [26,50]
Trigger2 = PalNo = 2
Trigger2 = Var(0) = [21,40]
ID = 1
Name = "kiba"
StateNo = 601
Pos = Ceil(56*Const(Size.xScale)),Ceil(8*Const(Size.yScale))
KeyCtrl = 1

[State -1]
Type = Helper
TriggerAll = !NumHelper(1)
TriggerAll = (Command="c")+(Command="z")
TriggerAll = Ctrl
TriggerAll = RoundState = 2
TriggerAll = NumHelper(3)
TriggerAll = Helper(3),Var(0) < 38
Trigger1 = PalNo = 1
Trigger1 = Var(0) = [51,75]
Trigger2 = PalNo = 2
Trigger2 = Var(0) = [41,60]
ID = 1
Name = "taiatari"
StateNo = 602
Pos = Ceil(56*Const(Size.xScale)),Ceil(8*Const(Size.yScale))
KeyCtrl = 1

[State -1]
Type = Helper
TriggerAll = !NumHelper(1)
TriggerAll = (Command="c")+(Command="z")
TriggerAll = Ctrl
TriggerAll = RoundState = 2
TriggerAll = NumHelper(3)
TriggerAll = Helper(3),Var(0) < 38
Trigger1 = PalNo = 1
Trigger1 = Var(0) = [76,100]
Trigger2 = PalNo = 2
Trigger2 = Var(0) = [61,80]
ID = 1
Name = "honoo"
StateNo = 603
Pos = Ceil(56*Const(Size.xScale)),Ceil(8*Const(Size.yScale))
KeyCtrl = 1

[State -1]
Type = Helper
TriggerAll = !NumHelper(1)
TriggerAll = (Command="c")+(Command="z")
TriggerAll = Ctrl
TriggerAll = RoundState = 2
TriggerAll = NumHelper(3)
TriggerAll = Helper(3),Var(0) < 38
Trigger1 = PalNo = 2
Trigger1 = Var(0) = [81,90]
ID = 1
Name = "tsume2"
StateNo = 604
Pos = Ceil(56*Const(Size.xScale)),Ceil(8*Const(Size.yScale))
KeyCtrl = 1

[State -1]
Type = Helper
TriggerAll = !NumHelper(1)
TriggerAll = (Command="c")+(Command="z")
TriggerAll = Ctrl
TriggerAll = RoundState = 2
TriggerAll = NumHelper(3)
TriggerAll = Helper(3),Var(0) < 38
Trigger1 = PalNo = 2
Trigger1 = Var(0) = [91,100]
ID = 1
Name = "kiba2"
StateNo = 605
Pos = Ceil(56*Const(Size.xScale)),Ceil(8*Const(Size.yScale))
KeyCtrl = 1

[State -1]
Type = ChangeState
TriggerAll = IsHelper(1)
Trigger1 = Parent,Alive = 0
Trigger1 = StateNo != 304
Trigger1 = !MoveContact
Trigger2 = RoundState = [3,4]
Trigger2 = StateNo != 304
Trigger2 = !MoveContact
Value = 304

[Statedef -2]

[State -2]
Type = LifeSet
TriggerAll = !IsHelper
TriggerAll = NumEnemy
Trigger1 = Enemy(0),AuthorName = "reikyuunakimono"
Trigger1 = ID > Enemy(0),ID
Trigger2 = NumEnemy >= 2
Trigger2 = Enemy(1),AuthorName = "reikyuunakimono"
Trigger2 = ID > Enemy(1),ID
Trigger3 = NumPartner
Trigger3 = Partner,AuthorName = "reikyuunakimono"
Trigger3 = ID > Partner,ID
Value = 0

[State -2]
Type = AssertSpecial
TriggerAll = !IsHelper
TriggerAll = NumEnemy
Trigger1 = Enemy(0),AuthorName = "reikyuunakimono"
Trigger1 = ID > Enemy(0),ID
Trigger2 = NumEnemy >= 2
Trigger2 = Enemy(1),AuthorName = "reikyuunakimono"
Trigger2 = ID > Enemy(1),ID
Trigger3 = NumPartner
Trigger3 = Partner,AuthorName = "reikyuunakimono"
Trigger3 = ID > Partner,ID
Flag = Invisible

[State -2]
Type = PlaySnd
TriggerAll = IsHelper(2)
TriggerAll = RoundState = 0
TriggerAll = NumEnemy
TriggerAll = (Enemy(0),AuthorName="reikyuunakimono")*(Parent,ID>Enemy(0),ID) = 0
Trigger1 = NumEnemy = 1
Trigger1 = !NumPartner
Trigger2 = NumEnemy = 1
Trigger2 = NumPartner
Trigger2 = (Partner,AuthorName="reikyuunakimono")*(Parent,ID>Partner,ID) = 0
Trigger3 = NumEnemy >= 2
Trigger3 = (Enemy(1),AuthorName="reikyuunakimono")*(Parent,ID>Enemy(1),ID) = 0
Trigger3 = !NumPartner
Trigger4 = NumEnemy >= 2
Trigger4 = (Enemy(1),AuthorName="reikyuunakimono")*(Parent,ID>Enemy(1),ID) = 0
Trigger4 = NumPartner
Trigger4 = (Partner,AuthorName="reikyuunakimono")*(Parent,ID>Partner,ID) = 0
Value = s0,0
Channel = 1
LowPriority = 1

[State -2]
Type = PlaySnd
TriggerAll = IsHelper(2)
TriggerAll = NumEnemy
TriggerAll = (Enemy(0),AuthorName="reikyuunakimono")*(Parent,ID>Enemy(0),ID) = 0
Trigger1 = NumEnemy = 1
Trigger1 = !NumPartner
Trigger2 = NumEnemy = 1
Trigger2 = NumPartner
Trigger2 = (Partner,AuthorName="reikyuunakimono")*(Parent,ID>Partner,ID) = 0
Trigger3 = NumEnemy >= 2
Trigger3 = (Enemy(1),AuthorName="reikyuunakimono")*(Parent,ID>Enemy(1),ID) = 0
Trigger3 = !NumPartner
Trigger4 = NumEnemy >= 2
Trigger4 = (Enemy(1),AuthorName="reikyuunakimono")*(Parent,ID>Enemy(1),ID) = 0
Trigger4 = NumPartner
Trigger4 = (Partner,AuthorName="reikyuunakimono")*(Parent,ID>Partner,ID) = 0
Value = s0,1
Channel = 1
LowPriority = 1
Loop = 1

[State -2]
Type = Turn
Trigger1 = !IsHelper
Trigger1 = Facing = -1

[State -2]
Type = PosSet
Trigger1 = !IsHelper
x = 0

[State -2]
Type = PosAdd
Trigger1 = !IsHelper
y = 51-ScreenPos y

[State -2]
Type = AssertSpecial
Trigger1 = !IsHelper
Flag = NoShadow
Flag2 = NoAutoTurn
Flag3 = NoStandGuard

[State -2]
Type = StateTypeSet
Trigger1 = !IsHelper
Trigger1 = GameTime%90 = [0,29]
Trigger2 = IsHelper(2)
Trigger2 = (GameTime+10)%90 = [0,29]
Trigger3 = IsHelper(3)
Trigger3 = (GameTime+20)%90 = [0,29]
StateType = S

[State -2]
Type = StateTypeSet
Trigger1 = !IsHelper
Trigger1 = GameTime%90 = [30,59]
Trigger2 = IsHelper(2)
Trigger2 = (GameTime+10)%90 = [30,59]
Trigger3 = IsHelper(3)
Trigger3 = (GameTime+20)%90 = [30,59]
StateType = C

[State -2]
Type = StateTypeSet
Trigger1 = !IsHelper
Trigger1 = GameTime%90 = [60,89]
Trigger2 = IsHelper(2)
Trigger2 = (GameTime+10)%90 = [60,89]
Trigger3 = IsHelper(3)
Trigger3 = (GameTime+20)%90 = [60,89]
StateType = A

[State -2]
Type = Helper
Trigger1 = !NumHelper(2)
Trigger1 = !IsHelper
Trigger1 = Life > 0
ID = 2
Name = "Ashtaroth(L)"
StateNo = 800
HelperType = Player
PauseMoveTime = 2147483648
SuperMoveTime = 2147483648

[State -2]
Type = Helper
Trigger1 = !NumHelper(3)
Trigger1 = !IsHelper
Trigger1 = Life > 0
ID = 3
Name = "Ashtaroth(R)"
StateNo = 800
HelperType = Player
PauseMoveTime = 2147483648
SuperMoveTime = 2147483648

[State -2]
Type = LifeSet
Trigger1 = !IsHelper
Trigger1 = NumHelper(2)
Trigger1 = Life > 0
Value = 26*(38-Helper(2),Var(0))

[State -2]
Type = SelfState
Trigger1 = !Alive
Trigger1 = StateNo != 5150
Value = 5150

[State -2]
Type = SelfState
Trigger1 = IsHelper(2)+IsHelper(3)
Trigger1 = StateNo != [800,801]
Value = 800

[State -2]
Type = Explod
Trigger1 = IsHelper(2)
ID = 80
Anim = 33
PosType = Left
Pos = Ceil(4+18*Const(Size.xScale)),Ceil(236-7*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(2)
ID = 80
Anim = 10+(38-IfElse(Var(0)>38,38,Var(0)))%10
PosType = Left
Pos = Ceil(4+54*Const(Size.xScale)),Ceil(236-7*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(2)
Trigger1 = Var(0) <= 28
ID = 80
Anim = 10+((38-Var(0))%100-(38-Var(0))%10)/10
PosType = Left
Pos = Ceil(4+42*Const(Size.xScale)),Ceil(236-7*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(3)
Trigger1 = (Enemy(0),AuthorName="reikyuunakimono") = 0
ID = 80
Anim = 80+(Enemy(0),Life>0)
PosType = Left
Pos = Ceil(Enemy(0),ScreenPos x-12*Const(Size.xScale)),Ceil(Enemy(0),ScreenPos y-12*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(3)
Trigger1 = (Enemy(0),AuthorName="reikyuunakimono") = 0
ID = 80
Anim = 80+(Enemy(0),Life>0.125*Enemy(0),LifeMax)
PosType = Left
Pos = Ceil(Enemy(0),ScreenPos x-12*Const(Size.xScale)),Ceil(Enemy(0),ScreenPos y-4*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(3)
Trigger1 = (Enemy(0),AuthorName="reikyuunakimono") = 0
ID = 80
Anim = 80+(Enemy(0),Life>0.25*Enemy(0),LifeMax)
PosType = Left
Pos = Ceil(Enemy(0),ScreenPos x-4*Const(Size.xScale)),Ceil(Enemy(0),ScreenPos y-12*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(3)
Trigger1 = (Enemy(0),AuthorName="reikyuunakimono") = 0
ID = 80
Anim = 80+(Enemy(0),Life>0.375*Enemy(0),LifeMax)
PosType = Left
Pos = Ceil(Enemy(0),ScreenPos x-4*Const(Size.xScale)),Ceil(Enemy(0),ScreenPos y-4*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(3)
Trigger1 = (Enemy(0),AuthorName="reikyuunakimono") = 0
ID = 80
Anim = 80+(Enemy(0),Life>0.5*Enemy(0),LifeMax)
PosType = Left
Pos = Ceil(Enemy(0),ScreenPos x+4*Const(Size.xScale)),Ceil(Enemy(0),ScreenPos y-12*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(3)
Trigger1 = (Enemy(0),AuthorName="reikyuunakimono") = 0
ID = 80
Anim = 80+(Enemy(0),Life>0.625*Enemy(0),LifeMax)
PosType = Left
Pos = Ceil(Enemy(0),ScreenPos x+4*Const(Size.xScale)),Ceil(Enemy(0),ScreenPos y-4*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(3)
Trigger1 = (Enemy(0),AuthorName="reikyuunakimono") = 0
ID = 80
Anim = 80+(Enemy(0),Life>0.75*Enemy(0),LifeMax)
PosType = Left
Pos = Ceil(Enemy(0),ScreenPos x+12*Const(Size.xScale)),Ceil(Enemy(0),ScreenPos y-12*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(3)
Trigger1 = (Enemy(0),AuthorName="reikyuunakimono") = 0
ID = 80
Anim = 80+(Enemy(0),Life>0.875*Enemy(0),LifeMax)
PosType = Left
Pos = Ceil(Enemy(0),ScreenPos x+12*Const(Size.xScale)),Ceil(Enemy(0),ScreenPos y-4*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(3)
Trigger1 = NumEnemy >= 2
Trigger1 = (Enemy(1),AuthorName="reikyuunakimono") = 0
ID = 81
Anim = 80+(Enemy(1),Life>0)
PosType = Left
Pos = Ceil(Enemy(1),ScreenPos x-12*Const(Size.xScale)),Ceil(Enemy(1),ScreenPos y-12*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(3)
Trigger1 = NumEnemy >= 2
Trigger1 = (Enemy(1),AuthorName="reikyuunakimono") = 0
ID = 81
Anim = 80+(Enemy(1),Life>0.125*Enemy(1),LifeMax)
PosType = Left
Pos = Ceil(Enemy(1),ScreenPos x-12*Const(Size.xScale)),Ceil(Enemy(1),ScreenPos y-4*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(3)
Trigger1 = NumEnemy >= 2
Trigger1 = (Enemy(1),AuthorName="reikyuunakimono") = 0
ID = 81
Anim = 80+(Enemy(1),Life>0.25*Enemy(1),LifeMax)
PosType = Left
Pos = Ceil(Enemy(1),ScreenPos x-4*Const(Size.xScale)),Ceil(Enemy(1),ScreenPos y-12*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(3)
Trigger1 = NumEnemy >= 2
Trigger1 = (Enemy(1),AuthorName="reikyuunakimono") = 0
ID = 81
Anim = 80+(Enemy(1),Life>0.375*Enemy(1),LifeMax)
PosType = Left
Pos = Ceil(Enemy(1),ScreenPos x-4*Const(Size.xScale)),Ceil(Enemy(1),ScreenPos y-4*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(3)
Trigger1 = NumEnemy >= 2
Trigger1 = (Enemy(1),AuthorName="reikyuunakimono") = 0
ID = 81
Anim = 80+(Enemy(1),Life>0.5*Enemy(1),LifeMax)
PosType = Left
Pos = Ceil(Enemy(1),ScreenPos x+4*Const(Size.xScale)),Ceil(Enemy(1),ScreenPos y-12*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(3)
Trigger1 = NumEnemy >= 2
Trigger1 = (Enemy(1),AuthorName="reikyuunakimono") = 0
ID = 81
Anim = 80+(Enemy(1),Life>0.625*Enemy(1),LifeMax)
PosType = Left
Pos = Ceil(Enemy(1),ScreenPos x+4*Const(Size.xScale)),Ceil(Enemy(1),ScreenPos y-4*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(3)
Trigger1 = NumEnemy >= 2
Trigger1 = (Enemy(1),AuthorName="reikyuunakimono") = 0
ID = 81
Anim = 80+(Enemy(1),Life>0.75*Enemy(1),LifeMax)
PosType = Left
Pos = Ceil(Enemy(1),ScreenPos x+12*Const(Size.xScale)),Ceil(Enemy(1),ScreenPos y-12*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(3)
Trigger1 = NumEnemy >= 2
Trigger1 = (Enemy(1),AuthorName="reikyuunakimono") = 0
ID = 81
Anim = 80+(Enemy(1),Life>0.875*Enemy(1),LifeMax)
PosType = Left
Pos = Ceil(Enemy(1),ScreenPos x+12*Const(Size.xScale)),Ceil(Enemy(1),ScreenPos y-4*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(3)
Trigger1 = NumPartner
Trigger1 = (Partner,AuthorName="reikyuunakimono") = 0
ID = 80
Anim = 80+(Partner,Life>0)
PosType = Left
Pos = Ceil(Partner,ScreenPos x-12*Const(Size.xScale)),Ceil(Partner,ScreenPos y-12*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(3)
Trigger1 = NumPartner
Trigger1 = (Partner,AuthorName="reikyuunakimono") = 0
ID = 80
Anim = 80+(Partner,Life>0.125*Partner,LifeMax)
PosType = Left
Pos = Ceil(Partner,ScreenPos x-12*Const(Size.xScale)),Ceil(Partner,ScreenPos y-4*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(3)
Trigger1 = NumPartner
Trigger1 = (Partner,AuthorName="reikyuunakimono") = 0
ID = 80
Anim = 80+(Partner,Life>0.25*Partner,LifeMax)
PosType = Left
Pos = Ceil(Partner,ScreenPos x-4*Const(Size.xScale)),Ceil(Partner,ScreenPos y-12*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(3)
Trigger1 = NumPartner
Trigger1 = (Partner,AuthorName="reikyuunakimono") = 0
ID = 80
Anim = 80+(Partner,Life>0.375*Partner,LifeMax)
PosType = Left
Pos = Ceil(Partner,ScreenPos x-4*Const(Size.xScale)),Ceil(Partner,ScreenPos y-4*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(3)
Trigger1 = NumPartner
Trigger1 = (Partner,AuthorName="reikyuunakimono") = 0
ID = 80
Anim = 80+(Partner,Life>0.5*Partner,LifeMax)
PosType = Left
Pos = Ceil(Partner,ScreenPos x+4*Const(Size.xScale)),Ceil(Partner,ScreenPos y-12*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(3)
Trigger1 = NumPartner
Trigger1 = (Partner,AuthorName="reikyuunakimono") = 0
ID = 80
Anim = 80+(Partner,Life>0.625*Partner,LifeMax)
PosType = Left
Pos = Ceil(Partner,ScreenPos x+4*Const(Size.xScale)),Ceil(Partner,ScreenPos y-4*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(3)
Trigger1 = NumPartner
Trigger1 = (Partner,AuthorName="reikyuunakimono") = 0
ID = 80
Anim = 80+(Partner,Life>0.75*Partner,LifeMax)
PosType = Left
Pos = Ceil(Partner,ScreenPos x+12*Const(Size.xScale)),Ceil(Partner,ScreenPos y-12*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2

[State -2]
Type = Explod
Trigger1 = IsHelper(3)
Trigger1 = NumPartner
Trigger1 = (Partner,AuthorName="reikyuunakimono") = 0
ID = 80
Anim = 80+(Partner,Life>0.875*Partner,LifeMax)
PosType = Left
Pos = Ceil(Partner,ScreenPos x+12*Const(Size.xScale)),Ceil(Partner,ScreenPos y-4*Const(Size.yScale))
Scale = Const(Size.xScale),Const(Size.yScale)
OnTop = 1
PauseMoveTime = 2
SuperMoveTime = 2
